Skip to main content
GET
Fetch vendor refund payment

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Content-Type
string

Content-Type must be set to application/json

Path Parameters

businessId
string<uuid>
required

The UUID of the business to fetch vendor refund payment for.

refundId
string<uuid>
required

The UUID of the vendor refund to fetch payment for.

paymentId
string<uuid>
required

The UUID of the payment to fetch.

Response

200 - application/json

Vendor refund payment details

A payment represents a transaction that moves value from a vendor to a business. A specific bill can be refunded or a general refund can be applied to a vendor.

id
string<uuid>

Unique identifier for the payment.

external_id
string | null

Unique ID of the payment in your system for linking purposes. Idempotency key.

Example:

"payment-456"

refunded_amount
integer<int64>

Amount refunded to the business in cents.

refund_processing_fee
integer<int64> | null

Fee charged for the refund processing in cents.

completed_at
string<date-time>

Time when the payment was completed.

method
string

Method of the payment.

Example:

"ACH"

processor
string | null

Processor used for the payment.

Example:

"STRIPE"

payment_clearing_account
object

The the ledger account to use for the payment (overrides the default determined by the payment method), if specified.

transaction_tags
object[]
memo
string | null

Memo for any text you would like to associate with the vendor refund payment (for example, to display to end users).

metadata
object | null

Arbitrary custom metadata in JSON format with a size limit of 1KB

Example:
reference_number
string | null

Any (typically user-visible) identifier you would like to associate with the vendor refund payment. Can be used to filter when listing vendor refund payments.